Debian Bug report logs - #656088
gforge-web-apache2: prompting due to modified conffiles which where not modified by the user

version graph

Package: gforge-web-apache2; Maintainer for gforge-web-apache2 is Roland Mas <lolando@debian.org>; Source for gforge-web-apache2 is src:fusionforge.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Mon, 16 Jan 2012 11:42:20 UTC

Severity: wishlist

Found in versions fusionforge/5.2~rc1-3, fusionforge/5.1.1-3, fusionforge/5.1.1-4, fusionforge/5.2-1, fusionforge/5.2~rc1+1, fusionforge/5.1.1-5, fusionforge/5.2~rc1-5, fusionforge/5.2.1+20130227-1, fusionforge/5.1.1-7, fusionforge/5.2~rc1-1, fusionforge/5.2~rc1-4, fusionforge/5.1.1-6, fusionforge/5.1.1-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Roland Mas <lolando@debian.org>:
Bug#656088; Package gforge-web-apache2. (Mon, 16 Jan 2012 11:42:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Roland Mas <lolando@debian.org>. (Mon, 16 Jan 2012 11:42:33 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: gforge-web-apache2: prompting due to modified conffiles which where not modified by the user
Date: Mon, 16 Jan 2012 12:39:36 +0100
[Message part 1 (text/plain, inline)]
Package: gforge-web-apache2
Version: 5.1.1-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi, 

during a test with piuparts I noticed your package failed the piuparts upgrade 
test because dpkg detected a conffile as being modified and then prompted the 
user for an action. As there is no user input, this fails. But this is not 
the real problem, the real problem is that this prompt shows up in the first 
place, as there was nobody modifying this conffile at all, the package has 
just been installed and upgraded... 

This is a violation of policy 10.7.3, see 
http://www.debian.org/doc/debian-policy/ch-files.html#s10.7.3, which 
says "[These scripts handling conffiles] must not ask unnecessary questions 
(particularly during upgrades), and must otherwise be good citizens."

http://wiki.debian.org/DpkgConffileHandling should help with figuring out how 
to do this properly.

In http://lists.debian.org/debian-devel/2009/08/msg00675.html and followups it 
has been agreed that these bugs are to be filed with severity serious.

From the attached log (scroll to the bottom...):

  Setting up gforge-web-apache2 (5.1.1-2) ...
  
  Configuration file `/etc/gforge/httpd.conf'
   ==> File on system created by you or by a script.
   ==> File also in package provided by package maintainer.
     What would you like to do about it ?  Your options are:
      Y or I  : install the package maintainer's version
      N or O  : keep your currently-installed version
        D     : show the differences between the versions
        Z     : start a shell to examine the situation
   The default action is to keep your current version.
  *** httpd.conf (Y/I/N/O/D/Z) [default=N] ? dpkg: error processing gforge-
web-apache2 (--configure):
   EOF on stdin at conffile prompt
  configured to not write apport reports
  Setting up libnet-daemon-perl (0.48-1) ...
  Errors were encountered while processing:
   gforge-web-apache2
  E: Sub-process /usr/bin/dpkg returned an error code (1)


cheers,
	Holger
[gforge-web-apache2_5.1.1-2.log (text/x-log, attachment)]

Added tag(s) pending. Request was from Roland Mas <lolando@debian.org> to control@bugs.debian.org. (Fri, 16 Mar 2012 10:03:21 GMT) Full text and rfc822 format available.

Reply sent to Roland Mas <lolando@debian.org>:
You have taken responsibility. (Fri, 16 Mar 2012 15:51:17 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Fri, 16 Mar 2012 15:51:17 GMT) Full text and rfc822 format available.

Message #12 received at 656088-close@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: 656088-close@bugs.debian.org
Subject: Bug#656088: fixed in fusionforge 5.1.1-3
Date: Fri, 16 Mar 2012 15:48:09 +0000
Source: fusionforge
Source-Version: 5.1.1-3

We believe that the bug you reported is fixed in the latest version of
fusionforge, which is due to be installed in the Debian FTP archive:

fusionforge-full_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-full_5.1.1-3_all.deb
fusionforge-minimal_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-minimal_5.1.1-3_all.deb
fusionforge-plugin-blocks_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-blocks_5.1.1-3_all.deb
fusionforge-plugin-contribtracker_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-contribtracker_5.1.1-3_all.deb
fusionforge-plugin-extratabs_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-extratabs_5.1.1-3_all.deb
fusionforge-plugin-globalsearch_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-globalsearch_5.1.1-3_all.deb
fusionforge-plugin-gravatar_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-gravatar_5.1.1-3_all.deb
fusionforge-plugin-hudson_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-hudson_5.1.1-3_all.deb
fusionforge-plugin-mediawiki_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-mediawiki_5.1.1-3_all.deb
fusionforge-plugin-oslc_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-oslc_5.1.1-3_all.deb
fusionforge-plugin-projectlabels_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-projectlabels_5.1.1-3_all.deb
fusionforge-plugin-scmarch_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-scmarch_5.1.1-3_all.deb
fusionforge-plugin-scmbzr_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-scmbzr_5.1.1-3_all.deb
fusionforge-plugin-scmcvs_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-scmcvs_5.1.1-3_all.deb
fusionforge-plugin-scmdarcs_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-scmdarcs_5.1.1-3_all.deb
fusionforge-plugin-scmgit_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-scmgit_5.1.1-3_all.deb
fusionforge-plugin-scmhg_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-scmhg_5.1.1-3_all.deb
fusionforge-plugin-scmsvn_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-plugin-scmsvn_5.1.1-3_all.deb
fusionforge-standard_5.1.1-3_all.deb
  to main/f/fusionforge/fusionforge-standard_5.1.1-3_all.deb
fusionforge_5.1.1-3.diff.gz
  to main/f/fusionforge/fusionforge_5.1.1-3.diff.gz
fusionforge_5.1.1-3.dsc
  to main/f/fusionforge/fusionforge_5.1.1-3.dsc
gforge-common_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-common_5.1.1-3_all.deb
gforge-db-postgresql_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-db-postgresql_5.1.1-3_all.deb
gforge-dns-bind9_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-dns-bind9_5.1.1-3_all.deb
gforge-ftp-proftpd_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-ftp-proftpd_5.1.1-3_all.deb
gforge-lists-mailman_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-lists-mailman_5.1.1-3_all.deb
gforge-mta-courier_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-mta-courier_5.1.1-3_all.deb
gforge-mta-exim4_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-mta-exim4_5.1.1-3_all.deb
gforge-mta-postfix_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-mta-postfix_5.1.1-3_all.deb
gforge-plugin-extratabs_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-plugin-extratabs_5.1.1-3_all.deb
gforge-plugin-globalsearch_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-plugin-globalsearch_5.1.1-3_all.deb
gforge-plugin-mediawiki_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-plugin-mediawiki_5.1.1-3_all.deb
gforge-plugin-projectlabels_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-plugin-projectlabels_5.1.1-3_all.deb
gforge-plugin-scmgit_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-plugin-scmgit_5.1.1-3_all.deb
gforge-shell-postgresql_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-shell-postgresql_5.1.1-3_all.deb
gforge-web-apache2-vhosts_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-web-apache2-vhosts_5.1.1-3_all.deb
gforge-web-apache2_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-web-apache2_5.1.1-3_all.deb
gforge-web-apache_5.1.1-3_all.deb
  to main/f/fusionforge/gforge-web-apache_5.1.1-3_all.deb
gforge_5.1.1-3_all.deb
  to main/f/fusionforge/gforge_5.1.1-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656088@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roland Mas <lolando@debian.org> (supplier of updated fusionforge package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Mar 2012 16:12:09 +0100
Source: fusionforge
Binary: fusionforge-standard fusionforge-minimal fusionforge-full gforge gforge-common gforge-web-apache2 gforge-web-apache2-vhosts gforge-web-apache gforge-db-postgresql gforge-mta-exim4 gforge-mta-postfix gforge-mta-courier gforge-shell-postgresql gforge-ftp-proftpd gforge-dns-bind9 gforge-lists-mailman gforge-plugin-extratabs gforge-plugin-globalsearch gforge-plugin-mediawiki gforge-plugin-projectlabels gforge-plugin-scmgit fusionforge-plugin-blocks fusionforge-plugin-contribtracker fusionforge-plugin-extratabs fusionforge-plugin-globalsearch fusionforge-plugin-gravatar fusionforge-plugin-hudson fusionforge-plugin-mediawiki fusionforge-plugin-oslc fusionforge-plugin-projectlabels fusionforge-plugin-scmarch fusionforge-plugin-scmbzr fusionforge-plugin-scmcvs fusionforge-plugin-scmdarcs fusionforge-plugin-scmgit fusionforge-plugin-scmhg fusionforge-plugin-scmsvn
Architecture: source all
Version: 5.1.1-3
Distribution: unstable
Urgency: low
Maintainer: Roland Mas <lolando@debian.org>
Changed-By: Roland Mas <lolando@debian.org>
Description: 
 fusionforge-full - FusionForge collaborative development tool - full metapackage
 fusionforge-minimal - FusionForge collaborative development tool - minimal metapackage
 fusionforge-plugin-blocks - collaborative development tool - Blocks plugin
 fusionforge-plugin-contribtracker - Contribution tracker plugin for FusionForge
 fusionforge-plugin-extratabs - Extratabs plugin for FusionForge
 fusionforge-plugin-globalsearch - Globalsearch plugin for FusionForge
 fusionforge-plugin-gravatar - collaborative development tool - Gravatar plugin
 fusionforge-plugin-hudson - collaborative development tool - Hudson plugin
 fusionforge-plugin-mediawiki - Mediawiki plugin for FusionForge
 fusionforge-plugin-oslc - OSLC-CM compatible plugin for FusionForge tracker system.
 fusionforge-plugin-projectlabels - Projectlabels plugin for FusionForge
 fusionforge-plugin-scmarch - collaborative development tool - GNU Arch plugin
 fusionforge-plugin-scmbzr - collaborative development tool - Bazaar plugin
 fusionforge-plugin-scmcvs - collaborative development tool - CVS plugin
 fusionforge-plugin-scmdarcs - collaborative development tool - Darcs plugin
 fusionforge-plugin-scmgit - collaborative development tool - Git plugin
 fusionforge-plugin-scmhg - collaborative development tool - Mercurial (Hg) plugin
 fusionforge-plugin-scmsvn - collaborative development tool - Subversion plugin
 fusionforge-standard - FusionForge collaborative development tool - standard metapackage
 gforge     - Dummy upgrade package for FusionForge
 gforge-common - collaborative development tool - shared files
 gforge-db-postgresql - collaborative development tool - database (using PostgreSQL)
 gforge-dns-bind9 - collaborative development tool - DNS management (using Bind9)
 gforge-ftp-proftpd - collaborative development tool - FTP management (using ProFTPd)
 gforge-lists-mailman - collaborative development tool - mailing-lists (using Mailman)
 gforge-mta-courier - collaborative development tool - mail tools (using Courier)
 gforge-mta-exim4 - collaborative development tool - mail tools (using Exim 4)
 gforge-mta-postfix - collaborative development tool - mail tools (using Postfix)
 gforge-plugin-extratabs - Extratabs plugin for FusionForge (transitional package)
 gforge-plugin-globalsearch - Globalsearch plugin for FusionForge (transitional package)
 gforge-plugin-mediawiki - Mediawiki plugin for FusionForge (transitional package)
 gforge-plugin-projectlabels - Projectlabels plugin for FusionForge (transitional package)
 gforge-plugin-scmgit - Git plugin for FusionForge (transitional package)
 gforge-shell-postgresql - collaborative development tool - shell accounts (using PostgreSQL
 gforge-web-apache - transitional package to gforge-web-apache2
 gforge-web-apache2 - collaborative development tool - web part (using Apache)
 gforge-web-apache2-vhosts - collaborative development tool - web vhosts (using Apache)
Closes: 638167 655965 656088 658955 662897 663602
Changes: 
 fusionforge (5.1.1-3) unstable; urgency=low
 .
   [ Olivier Berger ]
   * Add new README.Debian for gforge-web-apache2 specifically.
 .
   [ Roland Mas ]
   * Use common/include/env.inc.php rather than www/env.inc.php for offline
     scripts (closes: #663602).
   * More comprehensive purge for -common package (closes: #638167).
   * Stop trying to call fusionforge-config in maintainer scripts, it's not
     needed any longer and it causes problems (closes: #655965, #656088,
     #662897).
   * Fixed PHP 5.4 compatibility (closes: #658955).
Checksums-Sha1: 
 4584e251bd642af9b5d6b40465dfeec77fb62af9 3774 fusionforge_5.1.1-3.dsc
 2593a6ff972ed29bda3faac95d869dcf9404ca31 452439 fusionforge_5.1.1-3.diff.gz
 99e20d75f3dbdfa8413f142e7b693483b1c2b830 54404 fusionforge-standard_5.1.1-3_all.deb
 e86993723b9821f5f6a1d7015c1d2756ec38535f 53368 fusionforge-minimal_5.1.1-3_all.deb
 5c37af1faaa3c60a9aad508c37f1194d2f72070d 53498 fusionforge-full_5.1.1-3_all.deb
 f40292a3471ac35e3701618109e4bf1a37b59acb 50156 gforge_5.1.1-3_all.deb
 8b63dd911f1aa573c95cb0c77f4d9d35a531cd3b 1204472 gforge-common_5.1.1-3_all.deb
 4385753dfd6d03b088eb413a29bb8a0a1eeaef0a 2011778 gforge-web-apache2_5.1.1-3_all.deb
 5078d40cfd50d5e8f7ce799fdf1963dc8f41678f 54314 gforge-web-apache2-vhosts_5.1.1-3_all.deb
 16518a1daadab36ccd6caeed5839a88989943051 50188 gforge-web-apache_5.1.1-3_all.deb
 247b651d1e94a070b92f550254d96c045d205738 210854 gforge-db-postgresql_5.1.1-3_all.deb
 1547a6d58a4b1ec93267d73956d7e6dec29a4e45 58650 gforge-mta-exim4_5.1.1-3_all.deb
 14b2780d5e12604b17c179a564f0b003812bec98 58192 gforge-mta-postfix_5.1.1-3_all.deb
 b1ad4cae0a346532576be14b9e82ed57259f22ca 50256 gforge-mta-courier_5.1.1-3_all.deb
 b7791f9b0a3b8fe5adb5811ecf2636a5a9b55bc3 56806 gforge-shell-postgresql_5.1.1-3_all.deb
 25a78a4cc80701f8da0cc65748dd877329dc7475 57220 gforge-ftp-proftpd_5.1.1-3_all.deb
 4b1c7201a1959bce11340418baabd22b4d672030 59122 gforge-dns-bind9_5.1.1-3_all.deb
 8a2efe8a15c559d05f8ecdbc94dd8fc3ba68a4e4 57422 gforge-lists-mailman_5.1.1-3_all.deb
 beb850bf6b2dedc0c4b27da5f4ffd868c6341107 50006 gforge-plugin-extratabs_5.1.1-3_all.deb
 214504dc008a3f2c4bfc030dc29f36b0b2652dd8 50012 gforge-plugin-globalsearch_5.1.1-3_all.deb
 3923e0b5c99ccb46cbe2888e321ab53ea42970a5 50006 gforge-plugin-mediawiki_5.1.1-3_all.deb
 7bbab8a8465cecee04795646dcc0005b4c023650 50010 gforge-plugin-projectlabels_5.1.1-3_all.deb
 0bc86ea7105b194037fc14e3c2467476ece6af9d 49996 gforge-plugin-scmgit_5.1.1-3_all.deb
 b10e9beed779124c7baf99dbaf774d33dd112510 61560 fusionforge-plugin-blocks_5.1.1-3_all.deb
 66192eb986bc2ad51b297465011e80a8aea4a17a 63660 fusionforge-plugin-contribtracker_5.1.1-3_all.deb
 1a622fe4f5338d72a99da3065729c32d0f70978d 58606 fusionforge-plugin-extratabs_5.1.1-3_all.deb
 88fb58e31e6a652126b5b363390033c0b73c68ac 63666 fusionforge-plugin-globalsearch_5.1.1-3_all.deb
 3df262864c2818cb7573d74fb4a0c0960b682d22 52194 fusionforge-plugin-gravatar_5.1.1-3_all.deb
 07ff053549ddbe7ade00cb775c4b6be798eafb72 345726 fusionforge-plugin-hudson_5.1.1-3_all.deb
 9494c21f4a49dd30ec4bb7ac92f1ff3a01b5a935 82000 fusionforge-plugin-mediawiki_5.1.1-3_all.deb
 d647004ffb97db1c0c06bfeaf48aca614d9af065 184690 fusionforge-plugin-oslc_5.1.1-3_all.deb
 fba934704258b6e263a5a77543e124b482903028 57258 fusionforge-plugin-projectlabels_5.1.1-3_all.deb
 5d5da089b94c37de7b3627e807a1586e5e077a16 53192 fusionforge-plugin-scmarch_5.1.1-3_all.deb
 1c2058e9d24761739cfbd2072f861b07d4e9f486 57398 fusionforge-plugin-scmbzr_5.1.1-3_all.deb
 bbe3371b3ce3d5fadc97db22ddbe7abee4f878d2 73460 fusionforge-plugin-scmcvs_5.1.1-3_all.deb
 c88d4262f1dd1dd1a9d40c6d0fd10ceef3d3b4da 60692 fusionforge-plugin-scmdarcs_5.1.1-3_all.deb
 0074ddf5b17de5985d4f943eab8f9cedc2f31d49 61040 fusionforge-plugin-scmgit_5.1.1-3_all.deb
 2a760e074bf98f41ab12638ae5e3eabf0600eaa6 53588 fusionforge-plugin-scmhg_5.1.1-3_all.deb
 9f31e5338fa9df9dd7fa3a52220a4c867ef409d8 72078 fusionforge-plugin-scmsvn_5.1.1-3_all.deb
Checksums-Sha256: 
 6030fdf4f47ee6697a8ecf717fdc36edbde674774bea63cdd8d27676e3ebac3d 3774 fusionforge_5.1.1-3.dsc
 4bce1dbc30035e5c5e38e940acfa883d064433323c4a474a6bb60edffcff14f7 452439 fusionforge_5.1.1-3.diff.gz
 2d39fa27e1c00bdb51ad6da912710e9ed221f072f05dbb56119316b9f3d10133 54404 fusionforge-standard_5.1.1-3_all.deb
 52e293b4ed91506585269c4974cba4fb210a281905049148c0aff3ef767da4c9 53368 fusionforge-minimal_5.1.1-3_all.deb
 2e41e11c2f19acad6eb488bed175d8d551ba34d4ffeb7b887af5f0075a2bc725 53498 fusionforge-full_5.1.1-3_all.deb
 e9d8530292df876bc79afac0c3e60ed6cba32b7cd7b6b82adcd4c67e5e609bda 50156 gforge_5.1.1-3_all.deb
 c003176ac9dfe4dda968ff961b21c08f15d248ef70d6614c49183936502eccf2 1204472 gforge-common_5.1.1-3_all.deb
 c7d494b2a47b44d26cd36e572c79c8e12272d1f749c229a2a61659e6276d0f2a 2011778 gforge-web-apache2_5.1.1-3_all.deb
 b031aadf2022ca7c285d5e7fb22734d3e79fda45a87a7882de17612893cab88c 54314 gforge-web-apache2-vhosts_5.1.1-3_all.deb
 55ab9a615c3ed90cc0d9eddbcd9f840e7b789116950f02b47d4e7a2ecb253f04 50188 gforge-web-apache_5.1.1-3_all.deb
 766446e69a5ce7d5cd4d6f57df0c7254a793ee946c356d6e2b8484a229f8df81 210854 gforge-db-postgresql_5.1.1-3_all.deb
 725a4148810944a6c4b1c4557e2aa78aefdc412da6f09f19493f3da24a26746a 58650 gforge-mta-exim4_5.1.1-3_all.deb
 e1706139e46bef3f9e7ba4601f2b1d14b15ccac46b1aa6475d44639d84bdf32a 58192 gforge-mta-postfix_5.1.1-3_all.deb
 745312355637e536c8c9551f575688de073cc62ed284209f0c1bb6485720bc2b 50256 gforge-mta-courier_5.1.1-3_all.deb
 afd08b4357c127a6a2908a40e2d670c9020843b111364a7a22d1717d7f2c8658 56806 gforge-shell-postgresql_5.1.1-3_all.deb
 6b7711c7ab174d65e66f812eb4e36e3569a3cf9f10789b7e0d7cf3cd1ca2ca2e 57220 gforge-ftp-proftpd_5.1.1-3_all.deb
 3c36808111979051396c83dcf56171e4b463eb0058ae36b1b7be126678ee1c40 59122 gforge-dns-bind9_5.1.1-3_all.deb
 3ae972078f35f37d25bb26ec2395925604d27cf35ff539d88eab7e033c5574b3 57422 gforge-lists-mailman_5.1.1-3_all.deb
 11fca808391a81d082617ad29c26bda97cdedc35da9e041e16ecafc4c96ae795 50006 gforge-plugin-extratabs_5.1.1-3_all.deb
 1c5b9019dc294f31a9988a60a00e580ab6187f5cc70ff7a8431a61846059779e 50012 gforge-plugin-globalsearch_5.1.1-3_all.deb
 d85d3fd35ceeb89db0c1812351eb5913d7aa79aa958e6dc3f75ab622629a48db 50006 gforge-plugin-mediawiki_5.1.1-3_all.deb
 67466248815dc6b9403952a960c4c6ab7fbc2682cd4b98298c09d74fbafb1611 50010 gforge-plugin-projectlabels_5.1.1-3_all.deb
 5185bffc4136d0af5ef6db67104c462d898c2fa9ad3635b47dadb84f117b8ebc 49996 gforge-plugin-scmgit_5.1.1-3_all.deb
 ccbbd0e543c4109dabec59e47acfac0ffdc1dee43c10a0d1de43f1b40b4bf5c3 61560 fusionforge-plugin-blocks_5.1.1-3_all.deb
 bfd49e6f7f0bba11aaa9d0ba058d7f89e67c7d740aca01101d2155c23a45a7da 63660 fusionforge-plugin-contribtracker_5.1.1-3_all.deb
 0e1ec7c18c4cfa5520371163fed692cd361c2b7e1938d1c57ac54cc8ff248369 58606 fusionforge-plugin-extratabs_5.1.1-3_all.deb
 ed2e897377022c29efbc6bdf049e8cdd831d94144a9f003ef5c4daa01f2e964d 63666 fusionforge-plugin-globalsearch_5.1.1-3_all.deb
 7c91a5e7f25620a1f883c1bea3084765ba1e93f4706da00fb041d955135a6218 52194 fusionforge-plugin-gravatar_5.1.1-3_all.deb
 f5acbae0443e4535378d8d938562d9056dc1d7b705fe5f6d7edb853be537916c 345726 fusionforge-plugin-hudson_5.1.1-3_all.deb
 3c084bb0300709102bb75b37fd30e5db5d618ee1e8c27cbf5225b3144042e13d 82000 fusionforge-plugin-mediawiki_5.1.1-3_all.deb
 de3eeb878ad4bba2311dfd73e6ca61758dd38bfe8def11a74861ac1013c82276 184690 fusionforge-plugin-oslc_5.1.1-3_all.deb
 41f0110cd8e38753d99dfc197c28c9cac1aebdba1ddf89e5e1e2d17ae120308c 57258 fusionforge-plugin-projectlabels_5.1.1-3_all.deb
 d93d16d818c791bf3618c070a7f5e729c5fb5afb3199760cf71b3963170481ae 53192 fusionforge-plugin-scmarch_5.1.1-3_all.deb
 58c3a243b44af9fc9969c13b9642a2e0cc773768d0bb74f11b8eb9e9086c5c60 57398 fusionforge-plugin-scmbzr_5.1.1-3_all.deb
 679cca0669ea2838d3e7688217d8d02d441b44da13bad1296268a46b3addae51 73460 fusionforge-plugin-scmcvs_5.1.1-3_all.deb
 5583a3fd609a96cb57e74c4b6b15d256d921e6fff476bbd7bbde841a3c2a1849 60692 fusionforge-plugin-scmdarcs_5.1.1-3_all.deb
 a151af1fc49ec25b956950608c1497543cca9249fd1fb223f3308404b8f0b92d 61040 fusionforge-plugin-scmgit_5.1.1-3_all.deb
 c40baad611fcdb28eaf67d671db958fbd90df78f819ef1213b0b194e0d6e7114 53588 fusionforge-plugin-scmhg_5.1.1-3_all.deb
 d80eb0559ea33e2f6753d4b670624f5e08bc87da23df9fafec60000becef4dcd 72078 fusionforge-plugin-scmsvn_5.1.1-3_all.deb
Files: 
 417360f5fa37a141ee7832e1db95ad89 3774 devel optional fusionforge_5.1.1-3.dsc
 5a025a1033c399dd0e5231a7228456e1 452439 devel optional fusionforge_5.1.1-3.diff.gz
 6854cae4a347cdd487533aab6fb5ac02 54404 devel optional fusionforge-standard_5.1.1-3_all.deb
 35db3307126ea9887855fdda0c1a5e77 53368 devel optional fusionforge-minimal_5.1.1-3_all.deb
 6ad216ac53cc34bdcce903dee438cd21 53498 devel optional fusionforge-full_5.1.1-3_all.deb
 80b2ae64903c776e9ff7f6a805b4436c 50156 devel optional gforge_5.1.1-3_all.deb
 177ca5d38e4ff314f7b297743b518d0b 1204472 devel optional gforge-common_5.1.1-3_all.deb
 3915e4f90e0b58a0ec889d171e83824e 2011778 devel optional gforge-web-apache2_5.1.1-3_all.deb
 34893827c6cd75cc8b84439723470edd 54314 devel optional gforge-web-apache2-vhosts_5.1.1-3_all.deb
 c239399df5e3d65adfab55bd4df1640d 50188 devel optional gforge-web-apache_5.1.1-3_all.deb
 8f87ed15e1a0a6286580498a8d7db0f4 210854 devel optional gforge-db-postgresql_5.1.1-3_all.deb
 16ed447c251ffa587b425de286b57068 58650 devel optional gforge-mta-exim4_5.1.1-3_all.deb
 655d383c04437e3a87e493ffea47d1a5 58192 devel optional gforge-mta-postfix_5.1.1-3_all.deb
 18b40a413a19554dc92a6fb96053acd9 50256 devel optional gforge-mta-courier_5.1.1-3_all.deb
 619e8eefd65187d1b77778198a3cd2e9 56806 devel optional gforge-shell-postgresql_5.1.1-3_all.deb
 04e4f3600d95bdc67324497f52f01654 57220 devel optional gforge-ftp-proftpd_5.1.1-3_all.deb
 38b9e9950d7f8d7a8d9f8ff1269e263a 59122 devel optional gforge-dns-bind9_5.1.1-3_all.deb
 3ccc915bee5581648e4bcb740fd26d8e 57422 devel optional gforge-lists-mailman_5.1.1-3_all.deb
 d27bbf265d1a9518684816219f0ae3d0 50006 devel optional gforge-plugin-extratabs_5.1.1-3_all.deb
 3b006a24be4e49786099658e9c25aa41 50012 devel optional gforge-plugin-globalsearch_5.1.1-3_all.deb
 f604c4dd33d844f3541bb01618cf634b 50006 devel optional gforge-plugin-mediawiki_5.1.1-3_all.deb
 5b939113440896f445ab9941cbece600 50010 devel optional gforge-plugin-projectlabels_5.1.1-3_all.deb
 1c64753107dd61d216fed50e653979c6 49996 devel optional gforge-plugin-scmgit_5.1.1-3_all.deb
 bc0198d95f538fac8c0103cc0fd04b59 61560 devel optional fusionforge-plugin-blocks_5.1.1-3_all.deb
 c8aedb181cae50eb8980d61d74c643e1 63660 devel optional fusionforge-plugin-contribtracker_5.1.1-3_all.deb
 6be376d97ca327cca684a9a3ef3a14b3 58606 devel optional fusionforge-plugin-extratabs_5.1.1-3_all.deb
 b23d947f9d013993b16dd95c1fd4af31 63666 devel optional fusionforge-plugin-globalsearch_5.1.1-3_all.deb
 3470f5690b7e8b18145c5b92951146d0 52194 devel optional fusionforge-plugin-gravatar_5.1.1-3_all.deb
 d48e812b0bda77ff7d16d327bdbeae9d 345726 devel optional fusionforge-plugin-hudson_5.1.1-3_all.deb
 74b1079301d8dcd8374caba8e8fd5269 82000 devel optional fusionforge-plugin-mediawiki_5.1.1-3_all.deb
 f445f45d16d291a68c85cc45e33c07ff 184690 devel optional fusionforge-plugin-oslc_5.1.1-3_all.deb
 712296ef1e0111d1daea861510a42bb8 57258 devel optional fusionforge-plugin-projectlabels_5.1.1-3_all.deb
 3a9424c1702259c7679dd139c9e915cf 53192 devel optional fusionforge-plugin-scmarch_5.1.1-3_all.deb
 f518b1182ec43e3fa0caf147de08d4fa 57398 devel optional fusionforge-plugin-scmbzr_5.1.1-3_all.deb
 17074f31799b5d07632b96d106fd317d 73460 devel optional fusionforge-plugin-scmcvs_5.1.1-3_all.deb
 ddf441e499f165a011d14277f41e1f2f 60692 devel optional fusionforge-plugin-scmdarcs_5.1.1-3_all.deb
 6580186bf9e090ee5a1c9a5c91ab087b 61040 devel optional fusionforge-plugin-scmgit_5.1.1-3_all.deb
 ce830fa844155f58c3ddbdf76f4157f8 53588 devel optional fusionforge-plugin-scmhg_5.1.1-3_all.deb
 2d4ee6f15f08da29ebf92df01666f753 72078 devel optional fusionforge-plugin-scmsvn_5.1.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPY1xDDqdWtRRIQ/URAo5HAKCiJvK8AQ3xySP0zcGlB+UI7V8yJgCgjzFg
Ej95pm/VdirREVtYFUnuX/o=
=6S6o
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Roland Mas <lolando@debian.org>:
Bug#656088; Package gforge-web-apache2. (Mon, 19 Mar 2012 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Roland Mas <lolando@debian.org>. (Mon, 19 Mar 2012 17:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 656088@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <656088@bugs.debian.org>
Subject: Re: gforge-web-apache2: prompting due to modified conffiles which where not modified by the user
Date: Mon, 19 Mar 2012 18:23:27 +0100
[Message part 1 (text/plain, inline)]
Package: gforge-web-apache2
Version: 5.1.1-3
Followup-For: Bug #656088

Hi,

the prompting due to modified /etc/gforge/httpd.conf has not been fixed
in 5.1.1-3:

  Setting up gforge-web-apache2 (5.1.1-3) ...
  
  Configuration file `/etc/gforge/httpd.conf'
   ==> File on system created by you or by a script.
   ==> File also in package provided by package maintainer.
     What would you like to do about it ?  Your options are:
      Y or I  : install the package maintainer's version
      N or O  : keep your currently-installed version
        D     : show the differences between the versions
        Z     : start a shell to examine the situation
   The default action is to keep your current version.
  *** httpd.conf (Y/I/N/O/D/Z) [default=N] ? dpkg: error processing gforge-web-apache2 (--configure):
   EOF on stdin at conffile prompt
  Setting up libnet-daemon-perl (0.48-1) ...
  Errors were encountered while processing:
   gforge-web-apache2


Andreas
[gforge-web-apache2_5.1.1-3.log.gz (application/x-gzip, attachment)]

Bug reopened Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 19 Mar 2012 22:54:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#656088; Package gforge-web-apache2. (Tue, 20 Mar 2012 13:27:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. (Tue, 20 Mar 2012 13:27:39 GMT) Full text and rfc822 format available.

Message #24 received at 656088@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 656088@bugs.debian.org
Subject: Re: Bug#656088: gforge-web-apache2: prompting due to modified conffiles which where not modified by the user
Date: Tue, 20 Mar 2012 14:24:59 +0100
Andreas Beckmann, 2012-03-19 18:23:27 +0100 :

> Package: gforge-web-apache2
> Version: 5.1.1-3
> Followup-For: Bug #656088
>
> Hi,
>
> the prompting due to modified /etc/gforge/httpd.conf has not been fixed
> in 5.1.1-3:
>
>   Setting up gforge-web-apache2 (5.1.1-3) ...
>   
>   Configuration file `/etc/gforge/httpd.conf'
>    ==> File on system created by you or by a script.

  Hi,

  I'm trying to reproduce the error with a local piuparts, but
apparently it lacks some of the magic you have (--allow-database, in
particular :-)

  Nevertheless, I believe this particular problem is not really a
problem in 5.1.1-* (wheezy/sid), but in 5.0.2-5 (squeeze) only.  More
precisely, the configuration scripts in 5.0.2-5 always regenerate this
httpd.conf file from a template and fill some blanks with host names and
IP addresses.  So this file will always appear as locally modified on
upgrades from 5.0.  The 5.1 series replaces that large file with a
single operative line (an Include directive for a set of smaller files),
with no need for automated changes, so the "locally modified" thing
should no longer happen.

  I'm not sure there's a way to fix that without touching the packages
in stable; so, while I agree this bug is valid for the squeeze->wheezy
upgrade, it should be tagged as only concerning versions up to 5.1.1-2.

  What do you think?

Roland.
-- 
Roland Mas

Why did the tachyon cross the road?
Because it was on the other side.




Marked as found in versions fusionforge/5.1.1-4. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 25 Mar 2012 16:27:13 GMT) Full text and rfc822 format available.

Marked as found in versions fusionforge/5.1.1-5. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 29 Mar 2012 21:33:10 GMT) Full text and rfc822 format available.

Marked as found in versions fusionforge/5.1.1-6. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 05 May 2012 21:57:07 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Roland Mas <lolando@debian.org> to control@bugs.debian.org. (Tue, 22 May 2012 09:09:40 GMT) Full text and rfc822 format available.

Marked as found in versions fusionforge/5.1.1-7. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 24 May 2012 02:21:11 GMT) Full text and rfc822 format available.

Marked as found in versions fusionforge/5.2~rc1-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 02 Jun 2012 02:12:08 GMT) Full text and rfc822 format available.

Marked as found in versions fusionforge/5.2~rc1-3. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 15 Jun 2012 19:30:08 GMT) Full text and rfc822 format available.

Marked as found in versions fusionforge/5.2~rc1-4. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 16 Jun 2012 09:54:18 GMT) Full text and rfc822 format available.

Marked as found in versions fusionforge/5.2~rc1-5. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 30 Jun 2012 21:36:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Roland Mas <lolando@debian.org>:
Bug#656088; Package gforge-web-apache2. (Thu, 05 Jul 2012 11:36:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Roland Mas <lolando@debian.org>. (Thu, 05 Jul 2012 11:36:26 GMT) Full text and rfc822 format available.

Message #47 received at 656088@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Roland Mas <lolando@debian.org>
Cc: 656088@bugs.debian.org
Subject: Re: Bug#656088: gforge-web-apache2: prompting due to modified conffiles which where not modified by the user
Date: Thu, 05 Jul 2012 13:34:52 +0200
Hi Roland,

sorry, it took me a while to answer this ...

On 2012-03-20 14:24, Roland Mas wrote:
>   I'm not sure there's a way to fix that without touching the packages
> in stable;

Touching stable is not an option, this needs to be fixed by the package
in squeeze.

> so, while I agree this bug is valid for the squeeze->wheezy
> upgrade, it should be tagged as only concerning versions up to 5.1.1-2.
> 
>   What do you think?

How does /etc/gforge/httpd.conf get created? Is there any local
customization (like a hostname) by default or is it the sam efile in all
installations (until customized)?

If you can limit the possible files created by the package in squeeze
just collect all possible md5sums of unmodified configuration files.

Then in the preinst compute the md5sum of an existing
/etc/gforge/httpd.conf and compare it to the list, move it aside it
matching and delete the backup in postinst. This will allow installation
of the clean new file without prompting.

IIRC the initscripts and basefiles packages in sid do something similar
for /etc/default/rcS and /etc/profile

Andreas




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#656088; Package gforge-web-apache2. (Thu, 05 Jul 2012 13:16:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. (Thu, 05 Jul 2012 13:16:23 GMT) Full text and rfc822 format available.

Message #52 received at 656088@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 656088@bugs.debian.org, Roland Mas <lolando@debian.org>
Subject: Re: Bug#656088: gforge-web-apache2: prompting due to modified conffiles which where not modified by the user
Date: Thu, 05 Jul 2012 15:15:03 +0200
Andreas Beckmann, 2012-07-05 13:34:52 +0200 :

> Hi Roland,

  Hi,

> sorry, it took me a while to answer this ...
>
> On 2012-03-20 14:24, Roland Mas wrote:
>>   I'm not sure there's a way to fix that without touching the packages
>> in stable;
>
> Touching stable is not an option, this needs to be fixed by the package
> in squeeze.
>
>> so, while I agree this bug is valid for the squeeze->wheezy
>> upgrade, it should be tagged as only concerning versions up to 5.1.1-2.
>> 
>>   What do you think?
>
> How does /etc/gforge/httpd.conf get created? Is there any local
> customization (like a hostname) by default or is it the sam efile in
> all installations (until customized)?

  In 5.1 and 5.2 and beyond (ie. for wheezy), it's a standard conffile
which will very rarely change from the shipped version.

  In 5.0 and older (ie. up until squeeze), it was generated from
templates with variables filled in (including at the very least the
hostname to be used by Apache for its virtual hosts).  The list of
templates itself was variable, since plugins could provide snippets of
files that would be used when generating /etc/gforge/httpd.conf.

> If you can limit the possible files created by the package in squeeze
> just collect all possible md5sums of unmodified configuration files.

  I can't limit that a posteriori, I'm afraid.  Even for users who
installed the very minimal set of packages and didn't customize
anything, there's still at least the variability of the hostname.

Roland.
-- 
Roland Mas

Le weblog entièrement nu -- http://roland.entierement.nu/
Le photoblog entièrement net -- http://roland.entierement.net/




Removed tag(s) moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 05 Jul 2012 13:24:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Roland Mas <lolando@debian.org>:
Bug#656088; Package gforge-web-apache2. (Thu, 05 Jul 2012 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Roland Mas <lolando@debian.org>. (Thu, 05 Jul 2012 13:33:03 GMT) Full text and rfc822 format available.

Message #59 received at 656088@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Roland Mas <lolando@debian.org>
Cc: 656088@bugs.debian.org
Subject: Re: Bug#656088: gforge-web-apache2: prompting due to modified conffiles which where not modified by the user
Date: Thu, 05 Jul 2012 15:30:37 +0200
On 2012-07-05 15:15, Roland Mas wrote:
>   I can't limit that a posteriori, I'm afraid.  Even for users who
> installed the very minimal set of packages and didn't customize
> anything, there's still at least the variability of the hostname.

Well, you can extract the hostname and check, whether it was modified.
and you can remove the line with the hostname before running md5sum or
replace it with some placeholder first:

sed -e "s/^HoStNaMe: $the_local_hostname/HoStNaMe: GENERIC.DEFAU.LT/"
/etc/gforge/httpd.conf| md5sum

Or can you just regenerate the httpd.conf in the preinst script on
upgrades from pre-conffile and place it in a temporary location and
compare that to the version in /etc?


Andreas




Marked as found in versions fusionforge/5.2~rc1+1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 23 Sep 2012 09:54:08 GMT) Full text and rfc822 format available.

Marked as found in versions fusionforge/5.2-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 30 Sep 2012 21:42:13 GMT) Full text and rfc822 format available.

Marked as found in versions fusionforge/5.2.1+20130227-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 08:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#656088; Package gforge-web-apache2. (Mon, 26 Aug 2013 12:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. (Mon, 26 Aug 2013 12:00:07 GMT) Full text and rfc822 format available.

Message #70 received at 656088@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: Roland Mas <lolando@debian.org>, 656088@bugs.debian.org
Subject: Re: Bug#656088: gforge-web-apache2: prompting due to modified conffiles which where not modified by the user
Date: Mon, 26 Aug 2013 13:55:55 +0200
Andreas Beckmann, 2012-07-05 15:30:37 +0200 :

> On 2012-07-05 15:15, Roland Mas wrote:
>>   I can't limit that a posteriori, I'm afraid.  Even for users who
>> installed the very minimal set of packages and didn't customize
>> anything, there's still at least the variability of the hostname.
>
> Well, you can extract the hostname and check, whether it was modified.
> and you can remove the line with the hostname before running md5sum or
> replace it with some placeholder first:

I think that adding code that's only going to work in very specific
conditions (ie. piuparts) but not in real-life scenarios, to a package
that doesn't have a version in stable, isn't really something I want to
spend much time on, as I feel there's not much call for it.  I'm
therefore going to downgrade the severity of this bug report; not
closing, in case someone wants to do the necessary work.

  Thanks for detecting it in the first place anyway (and thanks for the
other piuparts checks, they're much appreciated).

Roland.
-- 
Roland Mas

'And what would humans be without love?'
RARE, said Death.  -- in Sourcery (Terry Pratchett)



Severity set to 'wishlist' from 'serious' Request was from Roland Mas <lolando@debian.org> to control@bugs.debian.org. (Mon, 26 Aug 2013 12:00:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:01:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.